import { jsx } from "react/jsx-runtime";
import { useTranslation } from "react-i18next";
import { createStyles } from "../style/index.mjs";
function _tagged_template_literal(strings, raw) {
    if (!raw) raw = strings.slice(0);
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject() {
    const data = _tagged_template_literal([
        "\n      text-align: center;\n      color: ",
        ";\n      a {\n        color: ",
        ";\n        &:hover {\n          color: ",
        ";\n        }\n      }\n    "
    ]);
    _templateObject = function() {
        return data;
    };
    return data;
}
const useStyles = createStyles((param)=>{
    let { css, token } = param;
    return {
        powerBy: css(_templateObject(), token.colorTextDescription, token.colorTextDescription, token.colorText)
    };
});
const PoweredBy = ()=>{
    const { styles } = useStyles();
    const date = new Date();
    const year = date.getFullYear();
    const { t } = useTranslation();
    return /*#__PURE__*/ jsx("div", {
        className: styles.powerBy,
        children: "\xa92023-".concat(year, " ").concat(t('TachyBase Team'))
    });
};
export { PoweredBy };
